Page MenuHomeFreeBSD

games/kanatest: fix ports compliance
ClosedPublic

Authored by fuz on Feb 16 2023, 1:09 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 16, 8:45 PM
Unknown Object (File)
Fri, Feb 16, 8:45 PM
Unknown Object (File)
Fri, Feb 16, 6:36 PM
Unknown Object (File)
Fri, Feb 16, 6:26 PM
Unknown Object (File)
Jan 12 2024, 4:38 AM
Unknown Object (File)
Dec 20 2023, 6:15 AM
Unknown Object (File)
Nov 19 2023, 12:02 AM
Unknown Object (File)
Nov 15 2023, 11:11 AM
Subscribers

Details

Summary
games/kanatest: fix ports compliance

 - change += into = where appropriate

While the Porter's Handbook wants us to place japanese as the first
category, Poudriere wants games to be the first category.  Given that
an unhappy Poudriere leads to a broken port, this was not changed.

Reported by:	eduardo
Approved by:	infrastructure change blanket
Approved by:	... (mentor)
Test Plan

Tested with Poudriere on i386 amd64 FreeBSD 12.4 13.1. Arm64 tests pending.
See test results at: http://fuz.su/~fuz/freebsd/batch2

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

fuz requested review of this revision.Feb 16 2023, 1:09 PM

Try to follow documentation and refer blanket commits more similarly such as portmgr (blanket) instead of "infrastructure change blanket", you can also just use a single line. Approved by: portmgr (blanket), XXX (mentor) in commit message
https://docs.freebsd.org/en/articles/committers-guide/#ports-qa-misc-blanket-approval

Thanks, I will do that when committing. I was unaware of the specific convention required.

CATEGORIES= games japanese seems to be correct.
Kanatest port is located at games and listed on japanese second category.

There is other cases where both ports exists, e.g., editors/jed and japanese/jed and CATEGORIES are set accordingly for both ports.

This revision is now accepted and ready to land.Feb 18 2023, 9:04 AM
This revision was automatically updated to reflect the committed changes.